Bug 7890 - Required fields in the MARC editor should be highlighted
Summary: Required fields in the MARC editor should be highlighted
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 17:12 UTC by Nicole C. Engard
Modified: 2019-06-19 17:07 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This bugfix modifies the basic MARC editor so that required fields have the standard "Required" label on them instead of a small red asterisk.
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 7890: Highlight required field in MARC editor (2.12 KB, patch)
2019-03-05 19:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7890: Highlight required field in MARC editor (2.85 KB, patch)
2019-03-12 16:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7890: Highlight required field in MARC editor (2.83 KB, patch)
2019-05-14 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7890: Highlight required field in MARC editor (2.89 KB, patch)
2019-05-17 19:21 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 7890: Highlight required field in MARC editor (2.95 KB, patch)
2019-05-23 13:54 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-03 17:12:27 UTC
When you're cataloging if you forget to fill in some fields an error pops up and then the fields you forgot to fill in are highlighted in yellow - why not highlight them in yellow to start with so that they stand out better?
Comment 1 Owen Leonard 2019-03-05 19:01:11 UTC Comment hidden (obsolete)
Comment 2 Cori Lynn Arnold 2019-03-05 23:59:12 UTC
I got this error below when I tried to import a record ("Sometimes I lie" by Alice Feeney)

Steps:

1. Go to Cataloging
2. Click "New from Z39.5/SRU" button
3. Put "Sometimes I lie" in the title field and hit "Search"
4. Click on a row and select "Import"

Error:

Could not compile /kohadevbox/koha/cataloguing/addbiblio.pl: Global symbol "$tab" requires explicit package name (did you forget to declare "my $tab"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 876.
Global symbol "$tab" requires explicit package name (did you forget to declare "my $tab"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 877.
Global symbol "$title" requires explicit package name (did you forget to declare "my $title"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 889.
Global symbol "$title" requires explicit package name (did you forget to declare "my $title"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 890.
Global symbol "$uxml" requires explicit package name (did you forget to declare "my $uxml"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 941.
Global symbol "$urecord" requires explicit package name (did you forget to declare "my $urecord"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 944.
Global symbol "$uxml" requires explicit package name (did you forget to declare "my $uxml"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 944.
Global symbol "$urecord" requires explicit package name (did you forget to declare "my $urecord"?) at /kohadevbox/koha/cataloguing/addbiblio.pl line 945.
syntax error at /kohadevbox/koha/cataloguing/addbiblio.pl line 961, near ") {"
BEGIN not safe after errors--compilation aborted at /kohadevbox/koha/cataloguing/addbiblio.pl line 978.
 at /usr/share/perl5/CGI/Compile.pm line 132
Comment 3 Owen Leonard 2019-03-06 13:13:01 UTC
(In reply to Cori Lynn Arnold from comment #2)
> I got this error below when I tried to import a record
...
> Could not compile /kohadevbox/koha/cataloguing/addbiblio.pl: Global symbol
> "$tab" requires explicit package name (did you forget to declare "my $tab"?)

My patch only changes the template, so I think this error has another cause. Did you apply all the dependencies first? Maybe you need to use the "restart_all" command?
Comment 4 Owen Leonard 2019-03-12 16:46:16 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2019-03-28 13:33:12 UTC
Does this one need a rebase because of the reversion of 22399?
Comment 6 Owen Leonard 2019-05-14 11:55:20 UTC
Created attachment 89734 [details] [review]
Bug 7890: Highlight required field in MARC editor

This patch modifies the basic MARC editor so that required fields have
the standard "Required" label on them instead of a small red asterisk.

To test, apply the patch and create a new record in the basic MARC
editor. Tags which are marked mandatory in your selected MARC
bibliographic framework should be labeled "Required."
Comment 7 Maryse Simard 2019-05-17 19:21:58 UTC
Created attachment 89918 [details] [review]
Bug 7890: Highlight required field in MARC editor

This patch modifies the basic MARC editor so that required fields have
the standard "Required" label on them instead of a small red asterisk.

To test, apply the patch and create a new record in the basic MARC
editor. Tags which are marked mandatory in your selected MARC
bibliographic framework should be labeled "Required."

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 8 Chris Cormack 2019-05-23 13:54:49 UTC
Created attachment 90032 [details] [review]
Bug 7890: Highlight required field in MARC editor

This patch modifies the basic MARC editor so that required fields have
the standard "Required" label on them instead of a small red asterisk.

To test, apply the patch and create a new record in the basic MARC
editor. Tags which are marked mandatory in your selected MARC
bibliographic framework should be labeled "Required."

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 9 Martin Renvoize 2019-06-13 11:35:32 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Martin Renvoize 2019-06-13 11:43:47 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-06-17 10:07:35 UTC
Pushed to 19.05.x for 19.05.01